Net::LDAP::Control::Assertion(3)

NAME
Net::LDAP::Control::Assertion - LDAPv3 Assertion Control

SYNOPSIS
 use Net::LDAP;
 use Net::LDAP::Control::Assertion;

 $ldap = Net::LDAP->new( "ldap.mydomain.eg" );

 $assert = Net::LDAP::Control::Assertion->new( assertion => '(sn=Jensen)' );

 my $mesg = $ldap->modify( "cn=Barbara Jensen, o=University of Michigan, c=US",
                           replace => { givenName => "Babs" },
                           control => $assert );

DESCRIPTION
"Net::LDAP::Control::Assertion" provides an interface for the creation and manipulation of objects that represent the "Assertion Control" as described by RFC 4528.

The "Assertion Control" allows the client to specify a condition, an assertion, that must be TRUE for the operation to be processed normally. Otherwise, the operation is not performed. For instance, the control can be used with the Modify operation to perform atomic "test and set" and "test and clear" operations.

The control is appropriate for both LDAP interrogation and update operations, including Add, Compare, Delete, Modify, ModifyDN (rename), and Search.

CONSTRUCTOR ARGUMENTS
In addition to the constructor arguments described in Net::LDAP::Control the following are provided.

assertion => FILTER
    A filter specifying the assertion that must evaluate to TRUE in order to make the operation process normally.

METHODS
As with Net::LDAP::Control each constructor argument described above is also available as a method on the object which will return the current value for the attribute if called without an argument, and set a new value for the attribute if called with an argument.

SEE ALSO
Net::LDAP, Net::LDAP::Control, http://www.ietf.org/rfc/rfc4528.txt

AUTHOR
Peter Marschall <peter@adpm.de>

Please report any bugs, or post any suggestions, to the perl-ldap mailing list <perl-ldap@perl.org>

COPYRIGHT
Copyright (c) 2011 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.